queue-repair(8)

NAME
queue-repair - deal with the qmail queue directory structure

SYNOPSIS
queue-repair [ -htrcbn ] [ -n split ] [ conf-qmail ]

DESCRIPTION
queue-repair deals with the qmail queue structure; it can create a new queue, move and properly rename a queue, dynamically change the conf-split value, convert big-todo queues to non-big-todo and vice versa, and repair a corrupted queue.

conf-qmail defaults to /var/lib/qmail/ on Debian.

OPTIONS

-h|--help
    Display usage information and built-in defaults, then exit.

-t|--test
    Run in test-only mode. queue-repair will attempt to report all problems that it finds, without correcting them. This is the default.

-r|--repair
    Run in repair mode. queue-repair will attempt to correct all problems that it finds, except if the basic queue directories (queue, queue/mess, queue/info, etc) are not found.

-c|--create
    Run in create-and-repair mode. queue-repair will attempt to correct all problems that it finds, including creation of a new queue structure from scratch.

-s|--split split
    Specify split as the value of conf-split. This is the number of split subdirectories for those queue directories which are hashed. The default for qmail is 23. Appropriate values depend on the volume of mail handled, OS filesystem efficiency, and other factors, but this should always be a prime number.

    If you do not specify conf-split, queue-repair will attempt to determine the current value from the existing queue. This option can be used, however, to change the conf-split value of an existing queue (qmail will still have to be recompiled with the new value). When creating a new queue, this option must always be specified.

-b|--bigtoto
    Use big-todo. queue-repair should be able to automatically determine if you're using qmail patched with the big-todo patch. This option can be used, however, to convert a non-big-todo queue to a big-todo queue (qmail will still have to be recompiled with the big-todo patch).

    If neither this option nor --no-bigtodo is used, queue-repair will attempt to determine this automatically. When creating a new queue, either this option or --no-bigtodo must always be specified.

-n|--no-bigtodo
    Do not use big-todo. queue-repair should be able to automatically determine if you're using qmail patched with the big-todo patch. This option can be used, however, to convert a big-todo queue to a non big-todo queue (qmail will still have to be recompiled without the big-todo patch).

    If neither this option nor --bigtodo is used, queue-repair will attempt to determine this automatically. When creating a new queue, either this option or --bigtodo must always be specified.

--i-want-a-broken-conf-split
    Force the use of a non-prime value for conf-split.

SEE ALSO
qmail(7)